Edit Configuration
Update an existing configuration to change the content deployed
(e.g., update app versions, add/remove apps, videos, and WebXR links).
Authorizations
API key based authentication where is the Base64 encoding of API_KEY_ID:API_KEY_SECRET
- Username: The API Key ID.
- Password: The API Key Secret.
Path Parameters
Unique identifier of the configuration
Query Parameters
Unique identifier of the organization. This parameter is only necessary when using multi-organization API keys.
Defaults to the organizationId associated with the API key.
Body
Updated name for the configuration
"Client Configuration v2"
Updated set of VR content on the configuration. Content will appear on the Home Screen in the order it appears in the vrContent array.
We recommend using release channels to deploy apps to configurations to simplify app version management. Instead of updating the app version on every configuration whenever you have an update, simply update the release channel. Learn More
- App (Release Channel)
- App (Specific Version)
- Video
- WebXR Link
Set the App or video to kiosk devices into.
Requirements:
- The
deviceExperiencefield must also be set toKIOSKorKIOSK_VIDEO - The App or Video must be included in the configurations
vrContentalready (or in this request)
- App (Release Channel)
- App (Specific Version)
- Video
Kiosk mode strictness level.
DEFAULT - Recommended setting. Standard kiosk experience on ManageXR. Allows access to Meta quick settings menu.
KIOSK_APP - Forces user to only remain in kiosk app and not access anything else on the device, including quick settings or other system apps. This may impact your ability to cast the device using native casting.
DEFAULT, KIOSK_APP "DEFAULT"
Only required if deviceExperience change impacts Meta Horizon managed services device mode. Supplying the flag confirms that you understand the risks and requirements of the mode change._
false
Unique identifiers of wi-fi networks to deploy on the configuration
The id of the wi-fi network to set as the priority network. A device will always connect to the priority network over other networks if it is in range. | Set to null to clear the priority.
"1390KJDL139PJD"
{
"id": "DLO133U5NFLMAL1",
"deviceDirectoryPaths": [
"/Android/obb/com.managexr.exampleApp/files"
]
}Time zone for the configuration. Can be set to 'UNMANAGED', 'AUTO', or a specific time zone ID.
Valid timeZoneIds include:
- Pacific/Midway
- Pacific/Honolulu
- America/Anchorage
- America/Los_Angeles
- America/Tijuana
- America/Phoenix
- America/Chihuahua
- America/Denver
- America/Costa_Rica
- America/Chicago
- America/Mexico_City
- America/Regina
- America/Bogota
- America/New_York
- America/Caracas
- America/Barbados
- America/Halifax
- America/Manaus
- America/Santiago
- America/St_Johns
- America/Sao_Paulo
- America/Argentina/Buenos_Aires
- America/Godthab
- America/Montevideo
- Atlantic/South_Georgia
- Atlantic/Azores
- Atlantic/Cape_Verde
- Africa/Casablanca
- Europe/London
- Europe/Amsterdam
- Europe/Belgrade
- Europe/Brussels
- Europe/Sarajevo
- Africa/Windhoek
- Africa/Brazzaville
- Asia/Amman
- Europe/Athens
- Asia/Beirut
- Africa/Cairo
- Europe/Helsinki
- Asia/Jerusalem
- Europe/Minsk
- Africa/Harare
- Asia/Baghdad
- Europe/Moscow
- Asia/Kuwait
- Africa/Nairobi
- Asia/Tehran
- Asia/Baku
- Asia/Tbilisi
- Asia/Yerevan
- Asia/Dubai
- Asia/Kabul
- Asia/Karachi
- Asia/Oral
- Asia/Yekaterinburg
- Asia/Calcutta
- Asia/Colombo
- Asia/Katmandu
- Asia/Almaty
- Asia/Rangoon
- Asia/Krasnoyarsk
- Asia/Bangkok
- Asia/Jakarta
- Asia/Shanghai
- Asia/Hong_Kong
- Asia/Irkutsk
- Asia/Kuala_Lumpur
- Australia/Perth
- Asia/Taipei
- Asia/Seoul
- Asia/Tokyo
- Asia/Yakutsk
- Australia/Adelaide
- Australia/Darwin
- Australia/Brisbane
- Australia/Hobart
- Australia/Sydney
- Pacific/Majuro
- Asia/Vladivostok
- Pacific/Guam
- Asia/Magadan
- Pacific/Auckland
- Pacific/Fiji
- Pacific/Tongatapu
- Etc/GMT+12
- Etc/GMT+11
- Etc/GMT+10
- Etc/GMT+9
- Etc/GMT+8
- Etc/GMT+7
- Etc/GMT+6
- Etc/GMT+5
- Etc/GMT+4
- Etc/GMT+3
- Etc/GMT+2
- Etc/GMT+1
- Etc/GMT
- Etc/GMT-1
- Etc/GMT-2
- Etc/GMT-3
- Etc/GMT-4
- Etc/GMT-5
- Etc/GMT-6
- Etc/GMT-7
- Etc/GMT-8
- Etc/GMT-9
- Etc/GMT-10
- Etc/GMT-11
- Etc/GMT-12
- Etc/GMT-13
- Etc/GMT-14
Time zones with the Etc/GMT prefix are the equivalent of UTC time zones. Only the ID part needs to be supplied (e.g., "America/New_York", not the full name).
UNMANAGED, AUTO, timeZoneId "America/New_York"
Response
The updated configuration
Full representation of a configuration.